<ng-container *transloco="let t; scope: 'admin'; read: 'admin'">
  <div class="user-list">
      <div class="row mb-3">
        <div class="col-md-12">
          <div class="template-demo">
            <nav aria-label="breadcrumb">
              <ol class="breadcrumb breadcrumb-custom">
                  <li class="breadcrumb-item"><a routerLink="/{{urlPrefix}}" routerLinkActive="router-link-active">Dashboard</a></li>
                  <li class="breadcrumb-item"><a routerLink="/{{urlPrefix}}/access-controls/users" routerLinkActive="router-link-active">User</a></li>
                  <li class="breadcrumb-item active" aria-current="page">
                      <span *ngIf="!userId">Add User</span>
                      <span *ngIf="userId">Update User</span>
                  </li>
              </ol>
              
            </nav>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12 stretch-card">
          <mat-card class="card custom-card">
            <div class="card-body p-0">
              <div class="row m-0">
                <div class="col-md-12 card-title px-3 py-3 m-0">
                  <h4 class="float-start pt-2 px-2" *ngIf="!userId">Add User</h4>
                  <h4 class="float-start pt-2 px-2" *ngIf="userId">Update User</h4>
                </div>
              </div>

              <div class="row m-0">
                <div class="col-12">
                    <form action="" [formGroup]="addUserForm" (ngSubmit)="onSubmit()">
                        <div class="row p-3 pb-0">
                            <div class="col-12 col-md-6  pb-0">
                                <mat-form-field class="w-100">
                                    <mat-label>Name</mat-label>
                                    <input matInput placeholder="Enter Name" formControlName="name">
                                </mat-form-field>
                            </div>
                            <div class="col-12 col-md-6 pb-0">
                                <mat-form-field class="w-100">
                                    <mat-label>Email</mat-label>
                                    <input matInput type="email" placeholder="Enter Email" formControlName="email">
                                </mat-form-field>
                            </div>
                            <div class="col-12 col-md-6  pb-0">
                                <mat-form-field class="w-100">
                                    <mat-label>User Name</mat-label>
                                    <input matInput placeholder="Enter User Name" formControlName="userName">
                                </mat-form-field>
                            </div>
                            <div class="col-12 col-md-6 pb-0">
                                <mat-form-field class="w-100">
                                    <mat-label>Mobile</mat-label>
                                    <input matInput type="email" placeholder="Enter Mobile" formControlName="mobileNo">
                                </mat-form-field>
                            </div>
                            <div class="col-12 col-md-6 pb-0" *ngIf="!userId">
                                <mat-form-field class="w-100">
                                    <mat-label>Password</mat-label>
                                    <input matInput type="email" placeholder="Enter Password" formControlName="password">
                                </mat-form-field>
                            </div>
                            <div class="col-12 col-md-12 pb-0 pb-3">
                                <button mat-raised-button color="primary" aria-label="Add user" [class.btn-disabled]="addUserForm.invalid" [disabled]="addUserForm.invalid"
                                    class="btn btn-primary bg-btn-info-gradient me-3 float-end">
                                    <span *ngIf="!userId">Add</span>
                                    <span *ngIf="userId">Update</span>
                                </button>

                                <button type="button" mat-raised-button aria-label="Add user" (click)="back()"
                                    class="me-3 float-start">
                                    Back
                                </button>
                            </div>
                        </div>
                      </form>
                </div>
              </div>
            </div>
          </mat-card>
        </div>
      </div>
  </div>
</ng-container>